Subject: Re: [PATCH v8 8/8] add tests for `git_config_get_string_const()`

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2014 14:22:36 -0700

Matthieu Moy <[email-masked]> writes:

> Tanay Abhra <[email-masked]> writes:
>
>> ...
>> +	grep "line 7.*.git/config\|.git/config.*line 7" result
>> +'
>
> This is still dependant on the locale ("line" is translated). You need
> to use test_i18ngrep instead of grep here (see its definition and
> comment in t/test-lib.sh).
>
> I don't think you need these two alternatives OTOH.
>
> BTW, Junio, I don't understand your remark "This test is too tight (the
> full string)" in the previous iteration. Can you elaborate?

The original test was trying to match the string fully, i.e.

> +	grep "fatal: bad config variable '\''alias.br'\'' at file line 2 in .git/config" result

As I already was feeling funny about seeing the phrase "file line"
in the message and expecting it to be corrected, I thought I should
encourage a check that does not depend on minor phrasing changes, if
it can be done without bending backwards.

I do agree with you that using "\|" in "grep" a pattern to trigger
ERE Alternation counts as "bending backwards" as that is a GNU
extension and not portable.